Trouble with FF 10 Rated 3 out of 5 stars

As mentioned by the developer there is a bug preventing FF10 from working unless this add-on is updated. Appears that auto update does not work. Confusing version numbers, I've seen both 1.0.1 and 2.0.2, depending on where I look. Otherwise good initiative and the first time I've had trouble with this extension. FF 10 works again now, after I manually updated the add-on.

This review is for a previous version of the add-on (2.0.2). 

Firefox doesn’t support autoupdate

But we repaired the bug in less than 24 hours — in version 2.0.2, as you noticed.

Correction (February 4, 2012): Firefox 4+ does autoupdate add-ons. We’re trying to figure out why users are getting the buggy 2.0.1 instead of the stable 2.0.2.

Update (February 4, 2012): We uploaded a new version (2.0.3), which resolves the updating issue.